Teams

Update a team

POST/api/teams/{teamId}

Updates the specified team's name or access code.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
teamIdrequiredstringID of the associated team.

Request body

NameTypeDescription
accessCodestringCode used to join the team.
namestringDisplay name of the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
accessCoderequiredstringCode used to join the team.
createdAtrequiredstringDate and time the record was created.
deletedAtrequiredstringDate and time the record was deleted, if applicable.
idrequiredstringUnique identifier of the resource.
logoUrlrequiredstringURL of the logo image.
namerequiredstringDisplay name of the resource.
twoFactorRequiredrequiredbooleanWhether two-factor authentication is required.
updatedAtrequiredstringDate and time the record was last updated.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL